org.keycloak.authorization.protection.resource.representation

## Class UmaResourceRepresentation

- java.lang.Object
- - org.keycloak.authorization.protection.resource.representation.UmaResourceRepresentation

-     public class UmaResourceRepresentation
      extends Object

  One or more resources that the resource server manages as a set of protected resources.

  For more details, OAuth-resource-reg.

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UmaResourceRepresentation()` Creates a new instance.
    `UmaResourceRepresentation(String name, Set<UmaScopeRepresentation> scopes)` Creates a new instance.
    `UmaResourceRepresentation(String name, Set<UmaScopeRepresentation> scopes, String uri, String type)` Creates a new instance.
    `UmaResourceRepresentation(String name, Set<UmaScopeRepresentation> scopes, String uri, String type, String iconUri)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getIconUri()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getOwner()`
    `Set<UmaScopeRepresentation>` | `getScopes()`
    `String` | `getType()`
    `String` | `getUri()`
    `void` | `setIconUri(String iconUri)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setOwner(String owner)`
    `void` | `setScopes(Set<UmaScopeRepresentation> scopes)`
    `void` | `setType(String type)`
    `void` | `setUri(String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UmaResourceRepresentation

          public UmaResourceRepresentation(String name,
                                           Set<UmaScopeRepresentation> scopes,
                                           String uri,
                                           String type,
                                           String iconUri)

      Creates a new instance.
      Parameters:
        `name` - a human-readable string describing a set of one or more resources
        `uri` - a `URI` that provides the network location for the resource set being registered
        `type` - a string uniquely identifying the semantics of the resource set
        `scopes` - the available scopes for this resource set
        `iconUri` - a `URI` for a graphic icon representing the resource set

    - #### UmaResourceRepresentation

          public UmaResourceRepresentation(String name,
                                           Set<UmaScopeRepresentation> scopes,
                                           String uri,
                                           String type)

      Creates a new instance.
      Parameters:
        `name` - a human-readable string describing a set of one or more resources
        `uri` - a `URI` that provides the network location for the resource set being registered
        `type` - a string uniquely identifying the semantics of the resource set
        `scopes` - the available scopes for this resource set

    - #### UmaResourceRepresentation

          public UmaResourceRepresentation(String name,
                                           Set<UmaScopeRepresentation> scopes)

      Creates a new instance.
      Parameters:
        `name` - a human-readable string describing a set of one or more resources
        `serverUri` - a `URI` that identifies this resource server
        `scopes` - the available scopes for this resource set

    - #### UmaResourceRepresentation

          public UmaResourceRepresentation()

      Creates a new instance.

  - ### Method Detail

    - #### setId

          public void setId(String id)

    - #### getId

          public String getId()

    - #### getName

          public String getName()

    - #### getUri

          public String getUri()

    - #### getType

          public String getType()

    - #### getScopes

          public Set<UmaScopeRepresentation> getScopes()

    - #### getIconUri

          public String getIconUri()

    - #### setName

          public void setName(String name)

    - #### setUri

          public void setUri(String uri)

    - #### setType

          public void setType(String type)

    - #### setScopes

          public void setScopes(Set<UmaScopeRepresentation> scopes)

    - #### setIconUri

          public void setIconUri(String iconUri)

    - #### getOwner

          public String getOwner()

    - #### setOwner

          public void setOwner(String owner)

Copyright © 2016 JBoss by Red Hat. All rights reserved.